import type { Callback, Hash, Route } from './types';
export declare const getRouteAndParamsFromHash: (hash: Hash, routes: Route[]) => {
    route: string;
    params: Record<string, string | number | boolean>;
    reconstructedHash: string;
};
export declare const withChangeListener: (changeListeners: Callback[], changeListenerToBeAdded: Callback) => Callback[];
export declare const withoutChangeListener: (changeListeners: Callback[], changeListenerToBeRemoved: Callback) => Callback[];
